<template>
  <view class="container">
    <!-- 使用 <image> 组件显示图片 -->
    <image :src="imageUrl" mode="widthFix" style="width: 100%;"></image>
  </view>
</template>

<script>
export default {
  data() {
    return {
      imageUrl: "" // 用于存储图片的 URL
    };
  },
  onLoad(options) {
    // 从页面跳转的参数中获取图片 URL
    if (options.url) {
      this.imageUrl = decodeURIComponent(options.url);
    }
  }
};
</script>

<style scoped>
.container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}
</style>